#!/usr/bin/perl

use strict;
use Irssi;

use vars qw($VERSION %IRSSI);

$VERSION = "0.ππ";
%IRSSI = (
	authors		=> 'APic',
	contact		=> 'APic@IRCnet',
	name		=> 'LowerCaseTarget',
	description	=> 'Script to convert all Uppercasecharacters in own Messages and Emotes to a certain Target to Lowercase',
	license		=> 'public Domina', #no typo
	url		=> 'http://irssi.apic.name/LowerCaseTarget.pl',
);

our $stripcolortarget = "";

sub event_send_text {
        my ($line, $srv, $witem) = @_;

        if(Irssi::settings_get_str("lowercasetarget") ne "" && lc($witem->{name}) eq lc(Irssi::settings_get_str("lowercasetarget"))) {
                $line = lc($line);
                Irssi::signal_continue($line, $srv, $witem);
        }
}

Irssi::signal_add('send text', \&event_send_text);
Irssi::signal_add('command me', \&event_send_text);
Irssi::settings_add_str("misc", "lowercasetarget", "");
